#-- copyright
# OpenProject is a project management system.
# Copyright (C) 2012-2018 the OpenProject Foundation (OPF)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License version 3.
#
# OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
# Copyright (C) 2006-2017 Jean-Philippe Lang
# Copyright (C) 2010-2013 the ChiliProject Team
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
# See docs/COPYRIGHT.rdoc for more details.
#++

require 'work_packages/create_contract'

# Can be used to copy all of a project's work packages. As the
# work packages can be old, some of the validations that would
# apply to newly created work packages need not apply there, e.g
# on copying, it is ok for work packages to have closed versions
module WorkPackages
  class CopyProjectContract < CreateContract
    include WorkPackages::SkipAuthorizationChecks

    # let the contract be used in error messages
    delegate :to_s,
             to: :model

    private

    def validate_fixed_version_is_assignable; end

    def validate_no_reopen_on_closed_version; end
  end
end
