---
sidebar_navigation:
  title: Manage subscription
  priority: 996
description: View the invoices and payment history.
robots: index, follow
keywords: manage subscription
---

# Manage your OpenProject Cloud subscription

If you want to make changes to your subscription (Up- or downgrade, cancel), navigate to -> *Administration* -> *Billing* within your system's Administration.

Click the green **Manage button**.

![Cloud-manage](Cloud-manage.png)

In the overlay window, you can choose between several topics:

| Popular Topics                                               | Description                                            |
| ------------------------------------------------------------ | :----------------------------------------------------- |
| [Upgrade, downgrade or cancel](#update-existing-subscriptions) | How to upgrade, downgrade or cancel a subscription?    |
| Edit Account information                                     |                                                        |
| Edit Billing Addresses                                       |                                                        |
| Edit or add payment methods                                  |                                                        |
| Edit or add payment methods                                  |                                                        |
| [View billing history and dowload invoices](./invoices-and-billing-history) | How to view the billing history and download invoices? |

## Update existing subscriptions

If you want to up- or downgrade the amount of users of an existing subscription, click on the subscription listed at the top.

![Cloud-edit-subscription](Cloud-edit-subscription.png)

Here you can either **Edit or Cancel the existing subscription**.

### Upgrade or downgrade subscription

You can **upgrade an existing subscription** at any time. Open the [Manage subscription menu](#manage-your-subscription). Additional users will be billed on a prorated basis, this means you will only pay the amount of additional users until the end of the current subscription period.

You can **downgrade a subscription** to the end of a current subscription period. This means the downgrade becomes active with the next payment term.

Click the **Edit Subscription** link.

![Cloud-edit-subscription-link](Cloud-edit-subscription-link.png)

You can choose the new amount of users. Your next payment will be displayed below.

Click the blue **Update your subscription now button** to save the changes.

![Cloud-upgrade](Cloud-upgrade.png)

### Cancel subscription

To cancel your subscription, open the [Manage subscription](#manage-your-openproject-cloud-subscription) form and click to [update the subscription](#update-existing-subscriptions) you want to cancel.

Click on the **Cancel Subscription link** if you want to terminate your OpenProject Cloud Edition subscription.

![Cloud-cancel-subscription](Cloud-cancel-subscription.png)

<div class="alert alert-info" role="alert">
**Note**: After cancellation you will receive an email confirmation. Your subscription will be terminated at the end of the current subscription period. After cancellation your data will be kept for a certain period of time in case of reactivation of a subscription.
</div>