# User guide

Welcome to the OpenProject User guide.

Here you will learn about all functionalities in OpenProject. 



## Overview of projects in OpenProject

Your work in OpenProject can be organized in multiple projects with a distinct set of members and their respective roles in that project. Each project can be individually configured with regards to the enabled features, which are called *Modules* in OpenProject. This distinction between projects provides you with a lot of flexibility to set up your work, and control what users are allowed to collaborate in each indivudal project.

Both the community edition and enterprise edition allows you to create an unlimited number of projects to separate your work. To learn more about the creation and management of projects within OpenProject, [please visit our separate section on projects](projects/).

## Overview of modules in OpenProject

A module in OpenProject encapsulates a specific set of collaboration functionality. Modules can be individually enabled or disabled within the settings of a project.



Please choose the module you want to learn more about.

| Popular Topics                                | Description                                                  |
| --------------------------------------------- | :----------------------------------------------------------- |
| [Project overview page](project-overview)     | How to create a project overview dashboard with important project information? |
| [Activity](activity)                          | How to find out about the latest activities in a project?    |
| [Roadmap](roadmap)                            | How to create a product roadmap with OpenProject?            |
| [Work packages](work-packages/#work-packages) | How to manage your work in a project?                        |
| [Gantt chart](#gantt-chart)                   | How to create and manage a project plan in a Gantt chart?    |
| [Boards](agile-boards)                        | How to work with agile boards for agile project management, e.g. Kanban? |
| [Backlogs (Scrum)](backlogs-scrum)            | How to manage a Scrum team in OpenProject with a product backlog and taskboard? |
| [Calendar](calendar)                          | How to display your work in a calendar in OpenProject?       |
| [News](news)                                  | How to create and mage News for your projects?               |
| [Forums](forums)                              | How to manage forums to discuss and comment on topics?       |
| [Wiki](wiki)                                  | How to create and manage a wiki to collaboratively document and share information? |
| [Time and costs](time-and-costs)              | How to track time and costs in OpenProject and report spent time and costs? |
| [Budgets](budgets)                            | How to create and manage a project budget?                   |
| [Members](members/)                           | How to manage Members in a project?                          |
| [Documents](documents)                        | How to upload and share documents in OpenProject?            |
| [Meetings](meetings)                          | How to manage meetings to create and share meeting agenda and meeting minutes? |
